{
  craneLib,
  src,
  commonArgs,
  cargoArtifacts,
  vault-hier,
  pkgs,
}:

{
  inherit vault-hier;

  my-workspace-clippy = import ./clippy.nix {
    inherit craneLib commonArgs cargoArtifacts;
  };

  my-workspace-doc = import ./doc.nix {
    inherit craneLib commonArgs cargoArtifacts;
  };

  # Check formatting
  my-workspace-fmt = import ./fmt.nix {
    inherit craneLib src;
  };

  my-workspace-toml-fmt = import ./toml-fmt.nix {
    inherit craneLib src;
    lib = pkgs.lib;
  };
}
